Frontend API
Generate a URL for user to grant consent to an integration
cURL
curl --request POST \ --url https://api.wacht.dev/agent/integrations/{integration_id}/consent-url \ --header 'Content-Type: application/x-www-form-urlencoded' \ --cookie session_id= \ --data redirect_url=https://app.example.com/integrations/success
{ "status": 200, "message": "", "data": { "consent_url": "https://provider.com/oauth/authorize?..." }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Session-based authentication using cookies
Integration ID
URL to redirect to after consent
"https://app.example.com/integrations/success"
Consent URL generated
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?